"use strict";

/**
 * worder
 * Get the words from the input text.
 *
 * @name worder
 * @function
 * @param {String} s The input string.
 * @param {Array} additionalWordCharacters Additional characters which are accepted part of the word (default: `[]`).
 * @return {Array} An array of strings representing the text words.
 */
module.exports = function worder(s, additionalWordCharacters) {
    additionalWordCharacters = additionalWordCharacters || [];
    var re = new RegExp("[^" + additionalWordCharacters.join("") + "a-z0-9A-Z_\xE4\xF6\xFC\xDF\xC0\xC1\xC2\u0102\xC2\xC3\xC8\xC9\xCA\xCC\xCE\xCD\xD2\xD3\xD4\xD5\u0218\u021A\xD9\xDA\u0102\u0110\u0128\u0168\u01A0\xE0\xE1\u0103\xE2\xE2\xE3\xE8\xE9\xEA\xEE\xEC\xED\xF2\xF3\xF4\xF5\xF9\xFA\u0103\u0219\u021B\u0111\u0129\u0169\u01A1\u01AF\u0102\u1EA0\u1EA2\u1EA4\u1EA6\u1EA8\u1EAA\u1EAC\u1EAE\u1EB0\u1EB2\u1EB4\u1EB6\u1EB8\u1EBA\u1EBC\u1EC0\u1EC0\u1EC2\u01B0\u0103\u1EA1\u1EA3\u1EA5\u1EA7\u1EA9\u1EAB\u1EAD\u1EAF\u1EB1\u1EB3\u1EB5\u1EB7\u1EB9\u1EBB\u1EBD\u1EC1\u1EBF\u1EC1\u1EC3\u1EC4\u1EC6\u1EC8\u1ECA\u1ECC\u1ECE\u1ED0\u1ED2\u1ED4\u1ED6\u1ED8\u1EDA\u1EDC\u1EDE\u1EE0\u1EE2\u1EE4\u1EE6\u1EE8\u1EEA\u1EC5\u1EC7\u1EC9\u1ECB\u1ECD\u1ECF\u1ED1\u1ED3\u1ED5\u1ED7\u1ED9\u1EDB\u1EDD\u1EDF\u1EE1\u1EE3\u1EE5\u1EE7\u1EE9\u1EEB\u1EEC\u1EEE\u1EF0\u1EF2\u1EF4\xDD\u1EF6\u1EF8\u1EED\u1EEF\u1EF1\u1EF3\u1EF5\u1EF7\u1EF9\xE7\xF1]+", "igm");
    return s.split(re).filter(Boolean);
};